<?php 
//****************************************请求权限****************************************
require("locked.php");                                                                 //*
setlocked($_SESSION[rightId],"");                                                      //*
//****************************************************************************************
?>
<html>
<head>
<meta charset="utf-8">
<title>复制资料</title>
<script language="javascript" type="text/javascript" src="myJs.js"></script>
<link rel="stylesheet" href="myCss.css" type="text/css" />
<script language="javascript" type="text/javascript">
<!--
function checkForm(){
	if (form1.id.value==""){
	    alert("ID不能为空！");
		form1.id.focus();
		return false;
	}
	
	if (isNaN(form1.id.value)){
	    alert("ID必须为数字！");
		form1.id.focus();
		return false;
	}
	
	if((form1.id.value).substring(0,1)==0){
		alert("ID起始不能为零！");
		form1.id.focus();
		return false;
	}
	
	if (form1.name.value==""){
	    alert("名称不能为空！");
		form1.name.focus();
		return false;
	}
	
	//会计科目，基础资料名称文字禁止出现的数据 arrban 列举的字符；
	for(var i=0;i<arrban.length;i++){
		if((form1.name.value).indexOf(arrban[i])!=-1){
			alert("名称字符不能出现："+arrban[i]);
			form1.name.focus();
			return false;
		}
	}
	
	form1.submit();
}
//-->
</script>
</head>

<body>
<?php
include("cnn.php");
$sql=$mysqli->query('select * from '.$_SESSION[jc_tbl].' where id="'.$_GET[keyword].'"');
$info=$sql->fetch_array(MYSQLI_BOTH);
if($info){ //如果存在数据；
?>
<form action="jc_InsertSubmit.php" method="post" name="form1">
<table>
<td colspan="2" align="center"><font size="+3"><script>document.write(window.opener.biaoti.innerHTML);</script></font></td>
<tr>
<td>ID</td><td><input name="id" type="text" style="width:450px" value="<?php echo $info[id]; ?>" /></td>
</tr>
<tr>
<td>名称</td><td><input name="name" type="text" style="width:450px" value="<?php echo $info[name]; ?>" /></td>
</tr>
<tr>
<td colspan="2" align="center">
<input name="edit" type="button" onClick="checkForm()" value="保存" />
</td>
</tr>
</table>
</form>
<?php
}else{
	echo '未检测到相关数据，该数据可能被删除；';
}
$sql->free();
$mysqli->close();
?>
</body>
</html>